Summary:	Tools for ploop devices and images
Summary(pl.UTF-8):	Narzędzia do urządzeń i obrazów ploop
Name:		ploop
Version:	8.0.14
Release:	2
License:	GPL v2+
Group:		Applications/System
#Source0Download: https://github.com/OpenVZ/ploop/releases
Source0:	https://github.com/OpenVZ/ploop/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	76bc12dd67ed9201d02bc156fbb6a17a
Patch0:		%{name}-types.patch
Patch1:		%{name}-python.patch
Patch2:		%{name}-gcc.patch
URL:		https://wiki.openvz.org/Ploop
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	python3-devel >= 1:3.2
BuildRequires:	rpmbuild(macros) >= 1.673
BuildRequires:	sed >= 4.0
Requires:	%{name}-libs = %{version}-%{release}
Requires:	/sbin/modprobe
Requires:	awk
Requires:	parted
Requires:	sed
Requires:	udev-core >= 1:182-6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains tools to work with ploop devices and images.

%description -l pl.UTF-8
Ten pakiet zawiera narzędzia do pracy z urządzeniami o obrazami ploop.

%package -n bash-completion-ploop
Summary:	Bash completion for ploop commands
Summary(pl.UTF-8):	Bashowe dopełnianie składni poleceń ploop
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	bash-completion >= 2.0

%description -n bash-completion-ploop
Bash completion for ploop commands.

%description -n bash-completion-ploop -l pl.UTF-8
Bashowe dopełnianie składni poleceń ploop.

%package libs
Summary:	ploop library
Summary(pl.UTF-8):	Biblioteka ploop
Group:		Libraries
Obsoletes:	ploop-lib

%description libs
Parallels loopback (ploop) block device API library.

%description libs -l pl.UTF-8
Biblioteka do obsługi urządzeń blokowych ploop (Parallels loopback).

%package devel
Summary:	Header files for ploop library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki ploop
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
Header files for ploop library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki ploop.

%package static
Summary:	Static ploop library
Summary(pl.UTF-8):	Biblioteka statyczna ploop
Group:		Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static ploop library.

%description static -l pl.UTF-8
Biblioteka statyczna ploop.

%package -n python3-libploop
Summary:	Python 3 interface to ploop library
Summary(pl.UTF-8):	Interfejs Pythona 3 do biblioteki ploop
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description -n python3-libploop
Python 3 interface to ploop library.

%description -n python3-libploop -l pl.UTF-8
Interfejs Pythona 3 do biblioteki ploop.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

# honour %{_libexecdir} whatever it's set to
%{__sed} -i -e '/exe = / s,/usr/libexec,%{_libexecdir},' scripts/crypthelper
%{__sed} -i -e '/define CRYPT_BIN/ s,/usr/libexec,%{_libexecdir},' lib/crypt.c
# drop /usr/libexec/{tune,resize,dumpe}2fs from tools search
%{__sed} -i -e '/\/usr\/libexec\/.*2fs/d' lib/fsutils.c

%build
LDFLAGS="%{rpmldflags}" \
LDLIBS="-lpthread" \
%{__make} all \
	V=1 \
	DEBUG= \
	CC="%{__cc}" \
	CPPFLAGS="%{rpmcppflags}" \
	RPM_OPT_FLAGS="%{rpmcflags}" \
	LIBDIR=%{_libdir}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	V=1 \
	INSTALL="install -p" \
	COMPLETIONDIR=%{bash_compdir} \
	LIBDIR=%{_libdir} \
	LIBSCRIPTDIR=%{_libexecdir}/ploop \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_sbindir}/ploop-test
%{__rm} -r $RPM_BUILD_ROOT/usr/libexec/ploop-test

%py3_comp $RPM_BUILD_ROOT%{py3_sitedir}
%py3_ocomp $RPM_BUILD_ROOT%{py3_sitedir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc tools/README
%attr(755,root,root) /sbin/mount.ploop
%attr(755,root,root) /sbin/umount.ploop
%attr(755,root,root) %{_sbindir}/ploop
%attr(755,root,root) %{_sbindir}/ploop-balloon
%attr(755,root,root) %{_sbindir}/ploop-cbt
%attr(755,root,root) %{_sbindir}/ploop-volume
%dir %{_libexecdir}/ploop
%attr(755,root,root) %{_libexecdir}/ploop/crypthelper
/etc/modules-load.d/ploop.conf
%dir /var/lock/ploop
%{systemdtmpfilesdir}/ploop.conf
%{_mandir}/man8/ploop.8*

%files -n bash-completion-ploop
%defattr(644,root,root,755)
%{bash_compdir}/ploop

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libploop.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libploop.so.8
%dir /var/lock/ploop

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libploop.so
%{_includedir}/ploop
%{_pkgconfigdir}/ploop.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libploop.a

%files -n python3-libploop
%defattr(644,root,root,755)
%dir %{py3_sitedir}/libploop
%attr(755,root,root) %{py3_sitedir}/libploop/libploopapi.cpython-*.so
%{py3_sitedir}/libploop/__init__.py
%{py3_sitedir}/libploop/__pycache__
%{py3_sitedir}/libploop-0.0.0-py*.egg-info
%changelog
* Fri Feb 26 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ploop.git;a=log;h=master

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> e188414
- release 2 (by relup.sh)

* Sun Jun 28 2020 Jakub Bogusz <qboosh@pld-linux.org> 6c2cc55
- added gcc patch (workaround over-zelous gcc 8+ warning)

* Sat Jun 27 2020 Jakub Bogusz <qboosh@pld-linux.org> b3efbc6
- new URLs, updated to 8.0.14 (new soname)
- added types patch (fixes for ILP32 archs)
- added python patch (fix install prefix and async keyword issue with python 3.6+)

* Sun Apr 05 2015 Jakub Bogusz <qboosh@pld-linux.org> f60c578
- updated to 1.12.2

* Wed Nov 12 2014 Jakub Bogusz <qboosh@pld-linux.org> 96aae28
- updated to 1.12.1
- updated flags passing, -lpthread workaround - builds now
- added mount/umount scripts dependencies (modprobe, awk, sed)

* Mon Nov 10 2014 Elan Ruusamäe <glen@delfi.ee> c536f7d
- md5 fix

* Sun Nov 09 2014 Elan Ruusamäe <glen@delfi.ee> 23cff88
- up to 1.8

* Sun Nov 09 2014 Elan Ruusamäe <glen@delfi.ee> 8d45109
- really remove. refs 2acd562

* Sat Oct 27 2012 Łukasz Chrustek <lukasz@chrustek.net> 948d638
- Merge branch 'master' of ssh://git.pld-linux.org/packages/ploop

* Sat Oct 27 2012 Łukasz Chrustek <lukasz@chrustek.net> 7471800
- up to 1.5

* Thu Jul 26 2012 Jakub Bogusz <qboosh@pld-linux.org> 91664c7
- package ploop(8) manual

* Sun Jul 22 2012 Łukasz Chrustek <lukasz@chrustek.net> 4d67c02
- Up to 1.4

* Sat May 26 2012 Łukasz Chrustek <lukasz@chrustek.net> 2acd562
- removed 60-persistant-storage-ploop.rules - moved to the udev (by patch)

* Thu May 24 2012 Jakub Bogusz <qboosh@pld-linux.org> 38a9044
- install file as 60-persistent-storage-ploop.rules (without typo in filename)

* Thu May 24 2012 Łukasz Chrustek <lukasz@chrustek.net> 93b2b29
- changed triggerin to external file for udev, is it OK ?
- added 60-persistant-storage-ploop.rules

* Wed May 23 2012 Jakub Bogusz <qboosh@pld-linux.org> dbd1cb3
- pl
- added -static

* Wed May 16 2012 Elan Ruusamäe <glen@pld-linux.org> d81e111
- inject our cflags, ldflags

* Wed May 16 2012 Elan Ruusamäe <glen@pld-linux.org> ff554b6
- cleanups, pldize, todos; renamed -lib to -libs

* Tue May 15 2012 Łukasz Chrustek <lukasz@chrustek.net> ec9f1f1
- initial commit - builds

